Bug 449797 - [RHEL5.2] Sorting mail according to subject does not work
[RHEL5.2] Sorting mail according to subject does not work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Milan Crha
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 12:44 EDT by Petr Šplíchal
Modified: 2016-05-31 21:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample mailbox folder reproducer (4.57 KB, application/octet-stream)
2008-06-03 12:44 EDT, Petr Šplíchal
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 504062 None None None Never
Red Hat Product Errata RHBA-2009:1260 normal SHIPPED_LIVE evolution bug fix update 2009-09-01 09:26:12 EDT

  None (edit)
Description Petr Šplíchal 2008-06-03 12:44:52 EDT
Description of problem:

After clicking on subject header (in inbox or any other folder) mails are not
sorted in alphabetical order.

Version-Release number of selected component (if applicable):
evolution-2.12.3-8.el5_2.2

How reproducible:
Attaching sample inbox file reproducer.

Steps to Reproduce:
1. setup an account, quit
2. copy reproducer into .evolution/mail/local
3. start evolution, inspect the folder, click subject header
  
Actual results:
aaa, ccc, xxx, pop, une
pop, aaa, ccc, une, xxx
xxx, une, ccc, aaa, pop

Expected results:
aaa, ccc, pop, une, xxx
xxx, une, pop, ccc, aaa
any order for not sorted variant

Additional info:
using language settings: LANG=en_US.UTF-8
Comment 1 Petr Šplíchal 2008-06-03 12:44:52 EDT
Created attachment 308262 [details]
sample mailbox folder reproducer
Comment 2 Milan Crha 2008-06-04 08:10:09 EDT
Patch included in upstream bug [1]

[1] http://bugzilla.gnome.org/show_bug.cgi?id=504062
Comment 4 RHEL Product and Program Management 2008-07-23 12:41:02 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 zhanghaiyan 2009-06-09 02:52:10 EDT
The bug can not be reproduced on RHEL5.4 with below packages:
evolution-2.12.3-18.el5
evolution-data-server-1.12.3-17.el5
evolution-connector-2.12.3-10.el5
Comment 10 errata-xmlrpc 2009-09-02 05:16:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1260.html

Note You need to log in before you can comment on or make changes to this bug.